void ScanMap()
{
  //lcd.cLCD_Box(16,0,116,99,FILL,GRAY);
  lcd.cLCD_Box(0,0,131,99,FILL,GRAY);
  delay(1000);
  lcd.cLCD_String("o", MapXcenter-4, MapYcenter-4, BLACK,WHITE);
  Pan.write(0); // 0 - 80 - 180
  delay(500);
  for (a=0; a<181; ++a)
  {
    ScanAndDisplay();
  }
  delay(1000);
  //lcd.cLCD_Box(16,0,116,99,FILL,GRAY);
  lcd.cLCD_Box(0,0,131,99,FILL,GRAY);
  delay(1000);
  lcd.cLCD_String("o", MapXcenter-4, MapYcenter-4, BLACK,WHITE);
  delay(500);
  for (a=180; a>0; --a)
  {
    ScanAndDisplay();
  }
  delay(500);
  Pan.write(servoCenter); // 0 - 90 - 180
  delay(500);
  I2C[Command] = 0;
}

void ScanAndDisplay()
{
  Pan.write(a);
  if (a<=135){
    LIRvalue=Read_Sharp_Sensor(LR, SleftPin);
    if (LIRvalue<200)
    { 
        byte pos=57;
        if (LIRvalue<100)
        {
          lcd.cLCD_String("   ", (pos-30), 122, BLUE,BLACK);
          pos=63;
        }
        itoa(LIRvalue, byteString, 10);
        strcpy(text, byteString);
        lcd.cLCD_String(text, (pos-30), 122, BLUE,BLACK);
        // multiply the angle° of the servo by 0.01745 etc to convert to radians - a is the angle of the servo ( 90° is to twist result sideways for display)
        x=131-(MapXcenter+LIRvalue*(sin((a-90+45)*0.0174532925)));
        y=131-(MapYcenter+LIRvalue*(cos((a-90+45)*0.0174532925)));
        lcd.cLCD_Pixel(x, y, BLUE);
    }
  }
  USValue = Read_Ping_Sensor();
    if (USValue<200)
    { 
        byte pos=57;
        if (USValue<100)
        {
          lcd.cLCD_String("   ", pos, 122, GREEN,BLACK);
          pos=63;
        }
        itoa(USValue, byteString, 10);
        strcpy(text, byteString);
        lcd.cLCD_String(text, pos, 122, GREEN,BLACK);
        // multiply the angle° of the servo by 0.01745 etc to convert to radians - a is the angle of the servo ( 90° is to twist result sideways for display)
        x=131-(MapXcenter+USValue*(sin((a-90)*0.0174532925)));
        y=131-(MapYcenter+USValue*(cos((a-90)*0.0174532925)));
        lcd.cLCD_Pixel(x, y, GREEN);
    }
  if (a>=45){
    RIRvalue=Read_Sharp_Sensor(LR, SrightPin);
    if (RIRvalue<200)
    { 
        byte pos=57;
        if (RIRvalue<100)
        {
          lcd.cLCD_String("   ", (pos+30), 122, YELLOW,BLACK);
          pos=63;
        }
        itoa(RIRvalue, byteString, 10);
        strcpy(text, byteString);
        lcd.cLCD_String(text, (pos+30), 122, YELLOW,BLACK);
        // multiply the angle° of the servo by 0.01745 etc to convert to radians - a is the angle of the servo 
        // (90° is to twist result sideways for display)
        x=131-(MapXcenter+RIRvalue*(sin((a-90-45)*0.0174532925)));
        y=131-(MapYcenter+RIRvalue*(cos((a-90-45)*0.0174532925)));
        lcd.cLCD_Pixel(x, y, YELLOW);
    }
  }
  Read_Compass_Sensor();
} 



